Bläddra i källkod

add nix-maintenance.sh

container/radius
Astro 2 år sedan
förälder
incheckning
0c9ce308c2
1 ändrade filer med 10 tillägg och 0 borttagningar
  1. 10
    0
      nix-maintenance.sh

+ 10
- 0
nix-maintenance.sh Visa fil

@@ -0,0 +1,10 @@
1
+#!/usr/bin/env bash
2
+
3
+set -x
4
+set -e
5
+
6
+sudo nix-channel --update
7
+time nix-env -- -u \*
8
+time sudo nixos-rebuild switch
9
+time sudo nix-collect-garbage -d
10
+time sudo nix-store --optimise

Laddar…
Avbryt
Spara